<?php
/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd
*/
 // Check to ensure this file is included in Freeway!
defined('_FEXEC') or die(); 

 if(HIDE_FROM_BACKEND_MENU_SUBSCRIPTIONS=='false'){
?>
<!-- catalog //-->

          <tr>
            <td>
<?php
	$files_list=array(BOX_SUBSCRIPTIONS,FILENAME_SUBSCRIPTION_CATEGORIES,
					BOX_EVENT_EMARKETING,FILENAME_SUBSCRIPTION_MESSAGES,
					BOX_SUBSCRIPTION_MESSGAES_LOG,FILENAME_SUBSCRIPTION_MESSAGES_LOGS,
				    BOX_SUBSCRIPTION_SMS_MESSAGES,FILENAME_SUBSCRIPTION_SMS_MESSAGES);
  $heading = array();
  $contents = array();

  $heading[] = array('text'  => BOX_HEADING_SUBSCRIPTIONS,
                     'link'  => tep_href_link(FILENAME_SUBSCRIPTION_CATEGORIES, 'selected_box=subscription'));
	$links_list='';
	reset($files_list);
	for($fcnt=0,$fn=count($files_list);$fcnt<$fn-1;$fcnt=$fcnt+2){
		if ($selected_box == 'subscription' || $menu_dhtml == true) {
		    $links_list.=tep_admin_files_boxes($files_list[$fcnt+1],$files_list[$fcnt]);
		}
		if (isset($HTTP_POST_VARS["search_link"]) && $HTTP_POST_VARS["search_link"]!='' && strpos(strtolower($files_list[$fcnt]),strtolower($HTTP_POST_VARS["search_link"]))!==false){
			$search_links_list[]=array('text'=>$files_list[$fcnt],'link'=>$files_list[$fcnt+1] . '?selected_box=subscription');
		}
	}
	if ($links_list!=''){
		$contents[] = array('text'  => $links_list);
	}

  $box = new box;
  echo $box->menuBox($heading, $contents);
  unset($files_list);
?>
            </td>
          </tr>
<?php } ?>
<!-- catalog_eof //-->